<?php

/**
 * Menu without limit level
 *
 * @package MenuWithoutLimitLevel
 * @version 2.0
 * @author davidhs
 * @copyright 2010-2017 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

// Show menu sub levels.
function template_mwll_menu_sub_buttons($button)
{
	// any subbuttons then?
	if(!empty($button['sub_buttons']))
	{
		echo '
							<ul>';
		foreach ($button['sub_buttons'] as $sbutton)
		{
			echo '
								<li', !empty($sbutton['sub_buttons']) ? ' class="subsections"' : '', '>
									<a href="', $sbutton['href'], '"', isset($sbutton['target']) ? ' target="' . $sbutton['target'] . '"' : '', '>
										', $sbutton['title'], '
									</a>';
			template_mwll_menu_sub_buttons($sbutton);
			echo '
								</li>';
		}
		echo '
							</ul>';
	}
}

?>